%define lib_api_major 0
%define lib_api_version 0.5.1
%define lib_api_name %mklibname brlapi %{lib_api_version} %{lib_api_major}


Name:		brltty
Version:	3.9
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://mielke.cc/brltty/
Source0:	http://mielke.cc/brltty/releases/%{name}-%{version}.tar.bz2
Patch0:		brltty-3.7.2-varargs.patch.bz2
# (fc) 3.7.2-6mdv don't strip executable to have valid debug package (Fedora)
Patch1:		brltty-3.7.2-dontstrip.patch
BuildRequires:	bison
BuildRequires:	gpm-devel
BuildRequires:	X11-devel
Buildrequires:	python-devel ncurses-devel
Buildrequires:	bluez-devel python-pyrex
Buildrequires:	java-1.7.0-icedtea-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	Braille display driver for Linux/Unix
%define		_bindir	/bin
%define         _libdir /lib
%ifarch x86_64
%define		_libdir /lib64
%endif

%description
BRLTTY is a background process (daemon) which provides
access to the Linux/Unix console (when in text mode)
for a blind person using a refreshable braille display.
It drives the braille display,
and provides complete screen review functionality.
Some speech capability has also been incorporated.

%package -n %{lib_api_name}
Summary: API for brltty
Group: System/Libraries
License: LGPL

%description -n %{lib_api_name}
This package provides the run-time support for the Application
Programming Interface to BRLTTY.

Install this package if you have an application which directly accesses
a refreshable braille display.

%package -n %{lib_api_name}-devel
Group: Development/C
License: LGPL
Summary: Headers, static archive, and documentation for BrlAPI
Provides: %{lib_api_name}-devel = %{version}-%{release}
Provides: libbrlapi%{lib_api_version}-devel = %{version}-%{release}
Requires: %{lib_api_name} = %{version}

%description -n %{lib_api_name}-devel
This package provides the header files, static archive, shared object
linker reference, and reference documentation for BrlAPI (the
Application Programming Interface to BRLTTY).  It enables the
implementation of applications which take direct advantage of a
refreshable braille display in order to present information in ways
which are more appropriate for blind users and/or to provide user
interfaces which are more specifically atuned to their needs.

Install this package if you're developing or maintaining an application
which directly accesses a refreshable braille display.

%package -n %{lib_api_name}-java
Group: Development/Java
Summary: Java bindings for BrlAPI
requires: java-1.7.0-icedtea-devel
Provides: %{lib_api_name}-java = %{version}-%{release}
%description -n %{lib_api_name}-java
This package provides the Java bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Java application
which directly accesses a refreshable braille display.


%package -n %{lib_api_name}-python
Summary: Python bindings for BrlAPI
Group: Development/Python
Provides: %{lib_api_name}-python = %{version}-%{release}
%description -n %{lib_api_name}-python
This package provides the Python bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Python application
which directly accesses a refreshable braille display.

%prep
%setup -q
#%patch0 -p1 -b .varargs
#%patch1 -p1 -b .dontstrip

%build
#%configure --with-install-root="$RPM_BUILD_ROOT" --disable-java-bindings --with-speech-driver=Festival --disable-relocatable-install
%configure --with-gui-toolkit=Xaw3d  --with-screen-driver=lx --with-install-root="$RPM_BUILD_ROOT" --disable-caml-bindings --disable-tcl-bindings  --disable-relocatable-install --disable-java-bindings
make -j 1

%install
rm -rf $RPM_BUILD_ROOT
%make install install install-programs install-tables install-drivers install-help
install -m644 Documents/%{name}.conf -D $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install -m644 Documents/%{name}.1 -D $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

directory="doc"
mkdir -p "${directory}"
for file in `find . \( -path "./${directory}" -o -path ./Documents \) -prune -o \( -name 'README*' -o -name '*.patch' -o -name '*.txt' -o -name '*
.html' -o -name '*.sgml' -o \( -path "./Bootdisks/*" -type f -perm +ugo=x \) \) -print`
do
   mkdir -p "${directory}/${file%/*}"
   cp -rp "${file}" "${directory}/${file}"
done

#cp -v %{buildroot}%{_libdir}/java/*.so mandir}/man1/mput.1 %{buildroot}/usr/%{_libdir}/java/
#cp -v %{buildroot}/share/java/* %{buildroot}%{_prefix}/share/java/


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_api_name} -p /sbin/ldconfig

%postun -n %{lib_api_name} -p /sbin/ldconfig

%files -n %name
%defattr(-,root,root)
%doc README COPYING Documents/ChangeLog Documents/TODO
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_bindir}/*
%{_sysconfdir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/*

%files -n %{lib_api_name}
%defattr(-,root,root)
%{_libdir}/*.so.%{lib_api_major}.*

%files -n %{lib_api_name}-devel
%defattr(-,root,root)
%doc Documents/BrlAPIref
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/brlapi.h
%{_includedir}/brlapi_*.h
%{_includedir}/brltty
%{_mandir}/man3/*

#%ifarch ix86
#%files -n %{lib_api_name}-java
#%defattr(-,root,root)
#/usr/%{_libdir}/java/*.so
#/usr/share/java/*
#%endif

%files -n %{lib_api_name}-python
/usr/%{_libdir}/python*/site-packages/brlapi.*
/usr/%{_libdir}/python*/site-packages/Brlapi-*


%changelog
* Mon Mar 10 2008 Antoine Ginies <aginies@mandriva.com> 3.9-1mdv2008.1
+ Revision: 183865
- disable some bindings for the moment
- include new bindings, 3.9 version, major update
- 3.9 version

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jun 04 2007 Frederic Crozat <fcrozat@mandriva.com> 3.7.2-6mdv2008.0
+ Revision: 35101
- Patch1 (Fedora): don't strip binaries, otherwise debug packages are empty
- Import brltty



* Sat Aug 12 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.7.2-5
- rebuild for fixed libxaw soname

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 3.7.2-4mdv2007.0
- generate api library subpackage

* Fri Apr 28 2006 Pixel <pixel@mandriva.com> 3.7.2-3mdk
- rebuild (so that the strange require on libbrlapi.so.0.4 disappear...)

* Tue Mar 28 2006 Pascal Terjan <pterjan@mandriva.org> 3.7.2-2mdk
- BuildRequires X11-devel
- Have /bin/brltty-config executable
- Would need some more fixes (rpath to '../../Programs', use of /lib)

* Fri Mar 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.7.2-1mdk
- 3.7.2
- fix permission on conf file
- regenerate P0
- drop P1 (fixed upstream)
- fix summary-ended-with-dot
- %%mkrel

* Wed Aug 31 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.6-2mdk
- gcc4 fixes

* Mon Nov 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.6-1mdk
- 3.6
- regenerate P0

* Tue Sep 14 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5-2mdk
- varargs fixes

* Fri Jun 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.5-1mdk
- 3.5 final

* Fri Apr 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.5-0.pre3.1mdk
- 3.5pre3

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.5-0.pre2.1mdk
- 3.5pre2
- enable parallell build again:)

* Thu Jan 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.4.1-1mdk
- 3.4.1

* Thu Nov 20 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.3.1-1mdk
- 3.3.1
- disable parallell build, broken:\
- merge with debian patches (P0)

* Sun May 11 2003 Stefan van der Eijk <stefan@eijk.nu> 3.2-0.2mdk
- BuildRequires

* Tue Feb  4 2003 Pixel <pixel@mandrakesoft.com> 3.2-0.1mdk
- new beta
- cleanup

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 3.1-5mdk
- rebuild

* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1-4mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Whoopsy! Libraries did'nt go to /lib, fixed

* Wed Oct 30 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 3.1-3mdk
- Added more doc's
- Updated to final(?) 3.1 version

* Wed Oct 30 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 3.1-2mdk
- Added more doc's
- Move stuff into /bin and /lib since we want brltty can be used when only
  the root file system is mounted
- Cleanups

* Wed Oct 30 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 3.1-1mdk
- Initial release
